> For the complete documentation index, see [llms.txt](https://docs.paddlefi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paddlefi.com/api-documentation/tutorials/source.md).

# Source

### **Supported Networkss by Paddle**

<table data-header-hidden><thead><tr><th width="193"></th><th width="159"></th><th></th></tr></thead><tbody><tr><td><strong>Network</strong></td><td><strong>Chain ID</strong></td><td><strong>RPC URL</strong></td></tr><tr><td>Ethereum</td><td>1</td><td><a href="https://eth.drpc.org">https://eth.drpc.org</a></td></tr><tr><td>Polygon</td><td>137</td><td><a href="https://polygon-rpc.com">https://polygon-rpc.com</a></td></tr><tr><td>Arbitrum</td><td>42161</td><td><a href="https://arb1.arbitrum.io/rpc">https://arb1.arbitrum.io/rpc</a></td></tr><tr><td>BSC</td><td>56</td><td><a href="https://bsc-dataseed.binance.org/">https://bsc-dataseed.binance.org</a></td></tr><tr><td>Base</td><td>8453</td><td><a href="https://mainnet.base.org">https://mainnet.base.org</a></td></tr><tr><td>Berachain Bartio</td><td>80084</td><td><a href="https://bartio.rpc.berachain.com">https://bartio.rpc.berachain.com</a></td></tr><tr><td>Bitlayer</td><td>200901</td><td><a href="https://rpc.bitlayer-rpc.com">https://rpc.bitlayer-rpc.com</a></td></tr><tr><td>Apechain</td><td>33139</td><td><a href="https://rpc.apechain.com/http">https://rpc.apechain.com/http</a></td></tr></tbody></table>

***

### **Paddle Contract Addresses**

<table data-header-hidden><thead><tr><th width="149"></th><th width="100"></th><th width="172"></th><th></th></tr></thead><tbody><tr><td><strong>Network</strong></td><td><strong>Chain ID</strong></td><td><strong>Contract Name</strong></td><td><strong>Contract Address</strong></td></tr><tr><td>Ethereum</td><td>1</td><td>ApproveTrade</td><td><code>0x54A70516e9c0223F4a92bE3a4832a06f546e783B</code></td></tr><tr><td>Polygon</td><td>137</td><td>ApproveTrade</td><td><code>0x4d5797F05992c9E81c64a39CEe5A8BA56df8D38e</code></td></tr><tr><td>Arbitrum</td><td>42161</td><td>ApproveTrade</td><td><code>0x4d5797F05992c9E81c64a39CEe5A8BA56df8D38e</code></td></tr><tr><td>BSC</td><td>56</td><td>ApproveTrade</td><td><code>0x83541A6B4A5c5512624CcbF35E9c77290f4068C0</code></td></tr><tr><td>Base</td><td>8453</td><td>ApproveTrade</td><td><code>0x54A70516e9c0223F4a92bE3a4832a06f546e783B</code></td></tr><tr><td>Berachain Bartio</td><td>80084</td><td>ApproveTrade</td><td><code>0x4d5797F05992c9E81c64a39CEe5A8BA56df8D38e</code></td></tr><tr><td>Bitlayer</td><td>200901</td><td>ApproveTrade</td><td><code>0x54A70516e9c0223F4a92bE3a4832a06f546e783B</code></td></tr><tr><td>Apechain</td><td>33139</td><td>ApproveTrade</td><td><code>0x9688B0965885ca8Db34f3C7187A3D0eD4E633852</code></td></tr><tr><td>Ethereum</td><td>1</td><td>OTCTrade</td><td><code>0x7D75D2A1Fd7F57f3d9b2a47fB3C8A41523d0ba15</code></td></tr><tr><td>Polygon</td><td>137</td><td>OTCTrade</td><td><code>0x7D75D2A1Fd7F57f3d9b2a47fB3C8A41523d0ba15</code></td></tr><tr><td>Arbitrum</td><td>42161</td><td>OTCTrade</td><td><code>0x597e3CbEA8f34102E0fC59775Ea62EA1dD1f56f8</code></td></tr><tr><td>BSC</td><td>56</td><td>OTCTrade</td><td><code>0x7D75D2A1Fd7F57f3d9b2a47fB3C8A41523d0ba15</code></td></tr><tr><td>Base</td><td>8453</td><td>OTCTrade</td><td><code>0xb4F6544fF7A4a586B47F48d06C70bB2e16B5da6f</code></td></tr><tr><td>Berachain Bartio</td><td>80084</td><td>OTCTrade</td><td><code>0xAD387C624bf043F33c913d9403a96b857b133381</code></td></tr><tr><td>Bitlayer</td><td>200901</td><td>OTCTrade</td><td><code>0xECB64314e2B7d2e1F997915E1cE4Ce89f3A9e9aa</code></td></tr></tbody></table>

***

### **Paddle Whitelisted Tokens**

Paddle supports loans and OTC trading for any asset.

Whitelisted tokens are officially certified assets that can be filtered and sorted in the Paddle DApp frontend.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paddlefi.com/api-documentation/tutorials/source.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
